services:
    elbotrade.content_bundle.deal_finder:
        class: Elbotrade\Bundle\ContentBundle\Service\DealFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.content_bundle.deal_manager:
        class: Elbotrade\Bundle\ContentBundle\Service\DealManager
        arguments:
            - @doctrine.orm.entity_manager
            - @sonata.media.manager.media

    elbotrade.content_bundle.certificate_finder:
        class: Elbotrade\Bundle\ContentBundle\Service\CertificateFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.content_bundle.certificate_manager:
        class: Elbotrade\Bundle\ContentBundle\Service\CertificateManager
        arguments:
            - @doctrine.orm.entity_manager
            - @sonata.media.manager.media

    elbotrade.content_bundle.certificate_category_finder:
        class: Elbotrade\Bundle\ContentBundle\Service\CertificateCategoryFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.content_bundle.certificate_category_manager:
        class: Elbotrade\Bundle\ContentBundle\Service\CertificateCategoryManager
        arguments:
            - @doctrine.orm.entity_manager
            - @sonata.media.manager.media